Get student registrations and grades for a unit
Returns all student registrations for a unit, including grade values, publication status, and the awarded flag. The transcript_subject_id field identifies the subject entry on the student's transcript. The legacy course_id field is deprecated in favour of transcript_subject_id.
Path Parameters
- Type: stringunit
_id requiredUnique identifier of the unit.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/registrations/units/{unit_id}/registrations
curl https://school.fullfabric.cloud/apis/registrations/units/507f1f77bcf86cd799439011/registrations \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
[
{
"id": "65e6e5aaf398a642a7022ab5",
"unit_id": "6385baad976a7719120008e3",
"course_id": "6385baad976a7719120008ca",
"transcript_subject_id": "6385bcf1976a77191200ba5d",
"profile_id": "6385bdd4976a7719120108e9",
"state_name": "pass",
"grade_state_name": "pass",
"awarded": true,
"published": true,
"grade_notes": "Strong analytical skills demonstrated.",
"grade_feedback": "Excellent work on the valuation case study.",
"grades": [
{
"id": "667ae7cb6ab728271421708e",
"label": "Coursework",
"name": "__coursework",
"value": "78",
"published": true,
"comment": null,
"resit_value": null,
"resit_justification": null
},
{
"id": "667ae7d46ab72827142170a5",
"label": "Final Exam",
"name": "__final_exam",
"value": "82",
"published": true,
"comment": null,
"resit_value": null,
"resit_justification": null
},
{
"id": "6385baad976a7719120008e6",
"label": "Final grade",
"name": "final",
"value": "80",
"published": true,
"comment": null,
"resit_value": null,
"resit_justification": null
}
],
"created_at": 1709630890,
"updated_at": 1712000000
}
]